<div class="app-modal">
    <h1 mat-dialog-title>Tollgate Status</h1>
    <div mat-dialog-content>
        <label id="example-radio-group-label">Select Tollgate Status:</label>
        <mat-radio-group class="status-radio-group" [(ngModel)]="statusSelected">
            <mat-radio-button class="status-radio-button" *ngFor="let status of statusList" [value]="status.key">
                {{status.value}}
            </mat-radio-button>
        </mat-radio-group>
    </div>
    <div mat-dialog-actions>
        <button color="primary" mat-button mat-raised-button [mat-dialog-close]="statusSelected">Save Status</button>
    </div>
</div>